Package org.apache.solr.client.solrj.request.beans

## Class RestoreCollectionPayload

- java.lang.Object
- - org.apache.solr.client.solrj.request.beans.RestoreCollectionPayload

All Implemented Interfaces:
  `MapSerializable`, `MapWriter`, `NavigableObject`, `ReflectMapWriter`

    public class RestoreCollectionPayload
    extends Object
    implements ReflectMapWriter

V2 API POJO for the /v2/collections 'restore-collection' command.

Analogous to the request parameters for v1 /admin/collections?action=RESTORE API.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`String` `async`
`Integer` `backupId`
`String` `collection`
`Map<String,​Object>` `createCollectionParams`
`String` `location`
`String` `name`
`String` `repository`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

### Constructor Summary

Constructors
`RestoreCollectionPayload()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Methods inherited from interface org.apache.solr.common.util.ReflectMapWriter

`writeMap`

### Field Detail

#### collection

    public String collection

#### name

    public String name

#### location

    public String location

#### repository

    public String repository

#### backupId

    public Integer backupId

#### createCollectionParams

    public Map<String,​Object> createCollectionParams

#### async

    public String async

### Constructor Detail

#### RestoreCollectionPayload

    public RestoreCollectionPayload()